Module javafx.graphics
Package javafx.animation

# Interface Interpolatable<T>

All Known Implementing Classes:
  `Color`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Interpolatable<T>
A value that can be interpolated. It defines single `interpolate(Object, double)` method, which returns interpolated value of given fraction.

Since:
  JavaFX 2.0

## Method Summary

Modifier and Type
Method
Description
`T`
`interpolate(T endValue, double t)`
The function calculates an interpolated value along the fraction `t` between `0.0` and `1.0`.

## Method Details

### interpolate

T interpolate(T endValue, double t)
The function calculates an interpolated value along the fraction `t` between `0.0` and `1.0`. When `t` = 1.0, `endVal` is returned.

Parameters:
  `endValue` - target value
  `t` - fraction between `0.0` and `1.0`
Returns:
  interpolated value